﻿using MindFusion.Scheduling;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ResourceView
{
	// Learn more about making custom code visible in the Xamarin.Forms previewer
	// by visiting https://aka.ms/xamarinforms-previewer
	[DesignTimeVisible(false)]
	public partial class MainPage : ContentPage
	{
		public MainPage()
		{
			InitializeComponent();

			DateTime firstDate = DateTime.Today;
			calendar.DragBehavior = DragBehavior.Scroll;

			calendar.BeginInit();

			calendar.Resources.Add(new MindFusion.Scheduling.Resource { Name = "Resource #1" });
			calendar.Resources.Add(new MindFusion.Scheduling.Resource { Name = "Resource #2" });
			calendar.Resources.Add(new MindFusion.Scheduling.Resource { Name = "Resource #3" });
			calendar.GroupType = GroupType.GroupByResources;

			// Create some test resources
			Appointment app;
			Random r = new Random();

			for (int i = 0; i < 20; i++)
			{
				app = new Appointment();
				app.StartTime = calendar.Date.AddDays(r.Next(10) + 3);
				app.EndTime = app.StartTime + TimeSpan.FromHours(24 + r.Next(24));
				app.HeaderText = "Resource " + i.ToString();
				app.Resources.Add(calendar.Resources[r.Next(3)]);
				calendar.Schedule.Items.Add(app);
			}

			calendar.EndInit();
		}
	}
}
